//Metal Railing
textures/thorn_tex/railing
{
	qer_editor_image textures/thorn_tex/railing.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable
	
	{
		map textures/thorn_tex/railing.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/thorn_tex/thorn_hayend
{
	qer_editor_image textures/thorn_tex/hayend.tga
	qer_trans 0.40	
	surfaceparm alphashadow
	nopicmip
	cull disable
	
	{
		map textures/thorn_tex/hayend.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/thorn_tex/thorn_cage_light
{
	qer_editorimage textures/thorn_tex/cage_light.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nonsolid
	// surfaceparm nolightmap
	surfaceparm alphashadow

	cull none

	{
		map textures/thorn_tex/cage_light.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128 
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/thorn_tex/thorn_cagewire
{
	qer_editorimage textures/thorn_tex/cagewire.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nonsolid
	// surfaceparm nolightmap
	surfaceparm alphashadow

	cull none

	{
		map textures/thorn_tex/cagewire.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128 
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// q3map_surfacelight 10000
// q3map_lightimage textures/thorn_tex/cage_light_red.tga
textures/thorn_tex/light_bulb_red
{
	qer_editorimage textures/thorn_tex/cage_light_red.tga

	surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen const ( 1 0 0 )
	}
}

textures/thorn_tex/light_bulb_yel
{
	qer_editorimage textures/thorn_tex/cage_light_red.tga

	surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen const ( 1 1 0 )
	}
}

textures/thorn_tex/thorn_flour_light
{
	qer_editorimage textures/thorn_tex/qer_whitelight.tga
	// q3map_lightimage textures/thorn_tex/qer_whitelight.tga
	q3map_surfacelight 1500

	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/thorn_tex/whitelight.jpg
		rgbGen identity
	}
}

textures/thorn_tex/ocean_skybox2
{
	qer_editorimage textures/thorn_tex/env/oceansky2.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50 

	skyparms textures/thorn_tex/env/oceansky2 - -
} 

textures/thorn_tex/ocean_skybox
{
	qer_editorimage textures/thorn_tex/env/oceansky_dn.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 4 3 3 65 290 75
	q3map_surfacelight 50 

	skyparms textures/thorn_tex/env/oceansky - -
} 